org.apache.xmlgraphics.image.loader.impl

## Class AbstractImageSessionContext.UnrestrictedFallbackResolver

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageSessionContext.UnrestrictedFallbackResolver

- All Implemented Interfaces:
    AbstractImageSessionContext.FallbackResolver
  Enclosing class:
    AbstractImageSessionContext

      public static final class AbstractImageSessionContext.UnrestrictedFallbackResolver
      extends java.lang.Object
      implements AbstractImageSessionContext.FallbackResolver

  An unrestricted resolver that has various contingency mechanisms that access the file-system. This is most suitable for use via the CLI or in environments where controlling I/O isn't a priority.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrestrictedFallbackResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Source` | `createSource(javax.xml.transform.Source source, java.lang.String uri)` The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnrestrictedFallbackResolver

          public UnrestrictedFallbackResolver()

  - ### Method Detail

    - #### createSource

          public javax.xml.transform.Source createSource(javax.xml.transform.Source source,
                                                         java.lang.String uri)

      The fallback mechanism used to create the source which takes in both the `Source` that the the regular mechanisms attempted to create and the URI that the user provided.
      Specified by:
        `createSource` in interface `AbstractImageSessionContext.FallbackResolver`
      Parameters:
        `source` - the source
        `uri` - the URI provided by the user
      Returns:
        the source that the contingency mechanism has been acquired

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.